## GwyGraphCurves GwyGraphCurves — Graph curve list |

## Functions

GtkWidget * | gwy_graph_curves_new ()
void | gwy_graph_curves_set_model ()
GwyGraphModel * | gwy_graph_curves_get_model ()

## Types and Values

struct | GwyGraphCurves
struct | GwyGraphCurvesClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkTreeView
                            ╰── GwyGraphCurves

## Implemented Interfaces

GwyGraphCurves implements AtkImplementorIface and GtkBuildable.

## Includes

    #include <libgwydgets/gwydgets.h>

## Description

GwyGraphCurves displays the list of GwyGraphModel curve properties in a table. While it is a GtkTreeView, it uses a simplistic tree model and its content is determined by the graph model.

## Functions

### gwy_graph_curves_new ()

    GtkWidget *
    gwy_graph_curves_new (GwyGraphModel *gmodel);

Creates graph curve list widget based on information in graph model.

The GtkTreeModel and the columns follow the graph model and must not be changed manually.

#### Parameters

gmodel | A graph model. It can be `NULL`. |

#### Returns

A new graph curve list.

Since: 2.5

### gwy_graph_curves_set_model ()

    void
    gwy_graph_curves_set_model (GwyGraphCurves *graph_curves,
                                GwyGraphModel *gmodel);

Changes the graph model a graph curve list.

#### Parameters

graph_curves | A graph curve list. |
gmodel | New graph model. |

Since: 2.5

### gwy_graph_curves_get_model ()

    GwyGraphModel *
    gwy_graph_curves_get_model (GwyGraphCurves *graph_curves);

Gets the graph model a graph curve list displays.

#### Parameters

graph_curves | A graph curve list. |

#### Returns

The graph model associated with this GwyGraphCurves widget.

Since: 2.5

## Types and Values

### struct GwyGraphCurves

    struct GwyGraphCurves;

### struct GwyGraphCurvesClass

    struct GwyGraphCurvesClass {
        GtkTreeViewClass parent_class;

        void (*reserved1)(void);
        void (*reserved2)(void);
        void (*reserved3)(void);
        void (*reserved4)(void);
    };